package w83b.w83bBeans;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Date;

import w83b.util.jdbc.W83bDataBase;
import w83b.w83bDAO.w83bConstantesBD.W83bDelegadosPrevencionBD;
import es.ejie.frmk.infraestructura.internacionalizacion.Q70GestorMensajesException;


/*
 * @author jrgil 
 */
public class W83bDelegadoPrevencionBean extends W83bBaseBean implements W83bBaseBeanBD{
	private static final long	serialVersionUID	= 1L;

	private int provincia;
	private int numActa;
	private String dni;
	private String nombre;
	private String apellido1;
	private String apellido2;
	private int codSindicato;
	private Date fechaAlta;
	private Date fechaBaja;
	private String usuarioActualizacion;
	private Date fechaActualizacion;
	private int anyo;
	private String sexo;

	

	public int getAnyo() {
		return anyo;
	}



	public void setAnyo(int anyo) {
		this.anyo = anyo;
	}



	public String getApellido1() {
		return apellido1;
	}



	public void setApellido1(String apellido1) {
		this.apellido1 = apellido1;
	}



	public String getApellido2() {
		return apellido2;
	}



	public void setApellido2(String apellido2) {
		this.apellido2 = apellido2;
	}



	public int getCodSindicato() {
		return codSindicato;
	}



	public void setCodSindicato(int codSindicato) {
		this.codSindicato = codSindicato;
	}



	public String getDni() {
		return dni;
	}



	public void setDni(String dni) {
		this.dni = dni;
	}



	public Date getFechaActualizacion() {
		return fechaActualizacion;
	}



	public void setFechaActualizacion(Date fechaActualizacion) {
		this.fechaActualizacion = fechaActualizacion;
	}



	public Date getFechaAlta() {
		return fechaAlta;
	}



	public void setFechaAlta(Date fechaAlta) {
		this.fechaAlta = fechaAlta;
	}



	public Date getFechaBaja() {
		return fechaBaja;
	}



	public void setFechaBaja(Date fechaBaja) {
		this.fechaBaja = fechaBaja;
	}



	public String getNombre() {
		return nombre;
	}



	public void setNombre(String nombre) {
		this.nombre = nombre;
	}



	public int getNumActa() {
		return numActa;
	}



	public void setNumActa(int numActa) {
		this.numActa = numActa;
	}



	public int getProvincia() {
		return provincia;
	}



	public void setProvincia(int provincia) {
		this.provincia = provincia;
	}



	public String getSexo() {
		return sexo;
	}



	public void setSexo(String sexo) {
		this.sexo = sexo;
	}



	public String getUsuarioActualizacion() {
		return usuarioActualizacion;
	}



	public void setUsuarioActualizacion(String usuarioActualizacion) {
		this.usuarioActualizacion = usuarioActualizacion;
	}



	public Object rowToBean(Object o, Object otrosValores) throws SQLException, Q70GestorMensajesException {
		// TODO Auto-generated method stub
		ResultSet rs= (ResultSet)o;//NOPMD
		
		this.setProvincia(W83bDataBase.getIntegerFromRS(rs, W83bDelegadosPrevencionBD.PROV));
		this.setNumActa(W83bDataBase.getIntegerFromRS(rs, W83bDelegadosPrevencionBD.NACTA));
		this.setDni(W83bDataBase.getStringFromRS(rs, W83bDelegadosPrevencionBD.CDNI));
		this.setNombre(W83bDataBase.getStringFromRS(rs, W83bDelegadosPrevencionBD.NOMB));
		this.setApellido1(W83bDataBase.getStringFromRS(rs, W83bDelegadosPrevencionBD.APE1));
		this.setApellido2(W83bDataBase.getStringFromRS(rs, W83bDelegadosPrevencionBD.APE2));
		this.setCodSindicato(W83bDataBase.getIntegerFromRS(rs, W83bDelegadosPrevencionBD.CSINDI));
		this.setFechaAlta(W83bDataBase.getDateFromRS(rs,W83bDelegadosPrevencionBD.FALTA));
		this.setFechaBaja(W83bDataBase.getDateFromRS(rs,W83bDelegadosPrevencionBD.FBAJA));
		this.setUsuarioActualizacion(W83bDataBase.getStringFromRS(rs,W83bDelegadosPrevencionBD.USUA));
		this.setFechaActualizacion(W83bDataBase.getDateFromRS(rs,W83bDelegadosPrevencionBD.FACTU));
		this.setAnyo(W83bDataBase.getIntegerFromRS(rs,W83bDelegadosPrevencionBD.ANO));
		this.setSexo(W83bDataBase.getStringFromRS(rs, W83bDelegadosPrevencionBD.SEXO));
		
		return this;
	}	
}
